> For the complete documentation index, see [llms.txt](https://docs.iexexchanger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iexexchanger.com/guide/copy-of-iexexchanger-api/valyuty-i-napravleniya/spisok-operacii-dlya-valyut.md).

# Список операций для валют

<mark style="color:green;">`GET`</mark> **`/operations/{id_валюты}/`**

## **Параметры запроса**

| Параметр    | Обязательный | Описание  |
| ----------- | ------------ | --------- |
| `id_валюты` | Да           | ID Валюты |

## **Схема ответа**

| Параметр          | Тип поля | Описание                         |
| ----------------- | -------- | -------------------------------- |
| **data**          | dict     | Информация о валютах для получаю |
| id                | int      | ID Направления обмена            |
| type              | string   | Тип массива                      |
| **attributes**    | dict     | Параметры получаемой валюты      |
| **buy\_currency** | dict     | Информация о валюте для получаю  |
| id                | int      | ID Получаемой валюты             |
| name              | string   | Название валюты                  |
| currency\_type    | string   | Фильтр валюты                    |
| payment\_name     | string   | Название П.С                     |
| iso\_code         | string   | Код валюты                       |
| letter\_cod       | string   | Общепринятый код валюты          |
| decimal           | int      | Знаки, после запятой             |
| ---               | ---      | ---                              |
| reserv\_value     | float    | Сумма резерва                    |
| course            | dict     | Курс обмена                      |

## **Пример запроса**

{% tabs %}
{% tab title="Laravel Http" %}

```php
use Illuminate\Support\Facades\Http;

$api_key = 'YOUR_API_KEY';
$base_url = '{ваш_домен}/api/v2'
$response = Http::baseUrl($base_url)->withToken($api_key)->asJson()
                ->get('/operations/{id_валюты}')->json(); // operations/2
```

{% endtab %}
{% endtabs %}

## Пример ответа

{% tabs %}
{% tab title="200" %}

```json
{
    "data":{
        "1":{
            "id":1,
            "type":"direction",
            "attributes":{
                "buy_currency":{
                    "id":1,
                    "name":"СберОнлайн",
                    "currency_type":"РУБ",
                    "payment_name":"СберОнлайн",
                    "iso_code":"RUB",
                    "letter_cod":"SBERRUB",
                    "decimal":2
                },
                "reserv_value":948498141,
                "course":{
                    "rate":5584341.301011727
                }
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iexexchanger.com/guide/copy-of-iexexchanger-api/valyuty-i-napravleniya/spisok-operacii-dlya-valyut.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
